# frozen_string_literal: true

require_relative "lib/multi_renderer/version"

Gem::Specification.new do |spec|
  spec.name          = "multi_renderer"
  spec.version       = MultiRenderer::VERSION
  spec.authors       = ["Karl Heitmann"]
  spec.email         = ["khf1988@gmail.com"]

  spec.summary       = "MultiRenderer is a class that renders multiple partials on your view."
  spec.description   = "Once you provide to a MultiRenderer instance the data it needs in each partial you are rendering in your view, the instance will render the given partial with it's local variables. This is usefull if you have a big view on your project, and you are rendering multiple arrays. Having all your iterations running on your controller can help you to detect a bottle neck that is causing your web page to run slow."
  spec.homepage      = "https://github.com/KarlHeitmann/multi_renderer"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.4.0"

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'https://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/KarlHeitmann/multi_renderer"
  spec.metadata["changelog_uri"] = "https://github.com/KarlHeitmann/multi_renderer/blob/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
